Show / Hide Table of Contents

# Class WindowCreateInfo

Simple wrapper for information necessary to create an application window

##### Inheritance

System.Object
WindowCreateInfo

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class WindowCreateInfo

### Fields

| Improve this Doc View Source

#### Fullscreen

Whether the window should be created fullscreen. This is a borderless windowed mode and will not affect desktop resolution. Fullscreen windows are "always on top".

##### Declaration

    public bool Fullscreen

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Height

The height of the window. Ignored for fullscreen windows.

##### Declaration

    public int Height

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Title

The window title. This will not be visible for fullscreen windows except in things like task manager.

##### Declaration

    public string Title

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### TransparentColor

An optional float[4] color key used to make any matching portion of the window's client area transparent. For example, setting this to magenta will then make any area where you render magenta instead be fully transparent to the window(s) behind this one. Values are red, green, blue from 0 to 1.

##### Declaration

    public float[] TransparentColor

##### Field Value

Type | Description
--- | ---
System.Single[] |

| Improve this Doc View Source

#### Width

The width of the window. Ignored for fullscreen windows.

##### Declaration

    public int Width

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### XPos

The x location of the top left corner of the window. Ignored for fullscreen windows.

##### Declaration

    public int XPos

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### YPos

The y location of the top left corner of the window. Ignored for fullscreen windows.

##### Declaration

    public int YPos

##### Field Value

Type | Description
--- | ---
System.Int32 |